Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.hmm.states.emissions
Interface SamplingEmission

All Superinterfaces:
  Cloneable, Emission, SamplingComponent, SamplingFromStatistic, Storable

All Known Implementing Classes:
  AbstractConditionalDiscreteEmission, DiscreteEmission, PhyloDiscreteEmission, ReferenceSequenceDiscreteEmission, SilentEmission

    public interface SamplingEmission

extends SamplingFromStatistic, Emission

Author:
  Jens Keilwagen

Method Summary
`double` | `getLogGammaScoreFromStatistic()` This method calculates a score for the current statistics, which is independent from the current parameters In general the gamma-score is a product of gamma-functions parameterized with the current statistics

Methods inherited from interface de.jstacs.sampling.SamplingFromStatistic
`drawParametersFromStatistic, getLogPosteriorFromStatistic`

Methods inherited from interface de.jstacs.sampling.SamplingComponent
`acceptParameters, extendSampling, initForSampling, isInSamplingMode, parseNextParameterSet, parseParameterSet, samplingStopped`

Methods inherited from interface de.jstacs.models.hmm.states.emissions.Emission
`addToStatistic, estimateFromStatistic, getAlphabetContainer, getLogPriorTerm, getLogProbFor, getNodeLabel, getNodeShape, initializeFunctionRandomly, resetStatistic`

Methods inherited from interface de.jstacs.Storable
`toXML`

Method Detail

### getLogGammaScoreFromStatistic

    double getLogGammaScoreFromStatistic()

  This method calculates a score for the current statistics, which is independent from the current parameters In general the gamma-score is a product of gamma-functions parameterized with the current statistics

  Returns:
    the logarithm of the gamma-score for the current statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD